"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addReact = void 0;
const tslib_1 = require("tslib");
const devkit_1 = require("@nrwl/devkit");
const linter_1 = require("@nrwl/linter");
const utils_1 = require("../../../utils/utils");
function addReact(host, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        yield (0, devkit_1.ensurePackage)(host, '@nrwl/angular', (0, utils_1.readNxVersion)(host));
        const { applicationGenerator } = yield Promise.resolve().then(() => require('@nrwl/react'));
        return yield applicationGenerator(host, Object.assign(Object.assign({}, options), { name: options.name, style: 'css', skipFormat: options.skipFormat, directory: options.directory, unitTestRunner: options.unitTestRunner, babelJest: false, e2eTestRunner: options.e2eTestRunner, linter: linter_1.Linter.EsLint, pascalCaseFiles: true, classComponent: false, routing: true, skipWorkspaceJson: true, globalCss: true }));
    });
}
exports.addReact = addReact;
//# sourceMappingURL=add-react.js.map